org.jboss.classfilewriter.annotations

## Class ClassAnnotation

- java.lang.Object
- - org.jboss.classfilewriter.annotations.ClassAnnotation

All Implemented Interfaces:
  WritableEntry

    public class ClassAnnotation
    extends Object
    implements WritableEntry

A bytecode representation of a java annotation

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`ClassAnnotation(ConstPool constPool, String type, List<AnnotationValue> annotationValues)`

### Method Summary

Methods
`List<AnnotationValue>` `getAnnotationValues()`
`String` `getType()`
`void` `write(ByteArrayDataOutputStream stream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassAnnotation

    public ClassAnnotation(ConstPool constPool,
                   String type,
                   List<AnnotationValue> annotationValues)

### Method Detail

#### write

    public void write(ByteArrayDataOutputStream stream)
               throws IOException

Specified by:
  `write` in interface `WritableEntry`
Throws:
  `IOException`

#### getType

    public String getType()

#### getAnnotationValues

    public List<AnnotationValue> getAnnotationValues()